Commit cddd8acb authored by Sam Thursfield's avatar Sam Thursfield Committed by Carlos Garnacho

Use conditional to work around gtk+-3.0.vapi breakage

Commit 53007652 breaks the build with
versions of Vala older than 0.35.6. It's more convenient for people
building Tracker if we use a #if block instead to allow building with
older stable versions Vala.
parent 2133d71d
......@@ -520,7 +520,11 @@ public class TrackerTagsView : Box {
yield connection.update_async (query, Priority.DEFAULT, td.cancellable);
debug ("Tag removed");
#if VALA_0_36
store.remove (ref td.iter);
#else
store.remove (td.iter);
#endif
} catch (GLib.Error e) {
warning ("Could not run Sparql update query: %s", e.message);
show_error_dialog (_("Could not remove tag"), e);
......
......@@ -437,7 +437,11 @@ public class Tracker.Preferences {
Value value;
store.get_value (iter, 0, out value);
if (value.get_string () == to_check) {
#if VALA_0_36
store.remove (ref iter);
#else
store.remove (iter);
#endif
valid = store.get_iter_first (out iter);
} else {
valid = store.iter_next (ref iter);
......@@ -643,7 +647,11 @@ public class Tracker.Preferences {
// Check which UserDirectorys we match with str
UserDirectory[] matches = dir_match_user_directories (dir);
#if VALA_0_36
store.remove (ref iter);
#else
store.remove (iter);
#endif
// Check if we need to untoggle a button
toggles_update (matches, false);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment